gnu.trove

## Interface TDoubleHashingStrategy

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  TDoubleByteHashMap, TDoubleDoubleHashMap, TDoubleFloatHashMap, TDoubleHash, TDoubleHashSet, TDoubleIntHashMap, TDoubleLongHashMap, TDoubleObjectHashMap, TDoubleShortHashMap

    public interface TDoubleHashingStrategy
    extends java.io.Serializable

Interface to support pluggable hashing strategies in maps and sets. Implementors can use this interface to make the trove hashing algorithms use an optimal strategy when computing hashcodes. Created: Sun Nov 4 08:56:06 2001

Version:
  $Id: PHashingStrategy.template,v 1.1 2006/11/10 23:28:00 robeden Exp $
Author:
  Eric D. Friedman

### Method Summary

Methods
`int` `computeHashCode(double val)` Computes a hash code for the specified double.

### Method Detail

#### computeHashCode

    int computeHashCode(double val)

Computes a hash code for the specified double. Implementors can use the double's own value or a custom scheme designed to minimize collisions for a known set of input.

Parameters:
  `val` - double for which the hashcode is to be computed
Returns:
  the hashCode